# Function trustHtmlAutoFilter

- trustHtmlAutoFilter($sce, ngeoStringToHtmlReplacements): ((arg0: any) => string)

- A filter to mark a value as trusted HTML, with the addition of automatically converting any string that matches the StringToHtmlReplacements list to HTML.

  Usage:

  If you use it, you don't require the "ngSanitize".

  #### Parameters

  - $sce: ISCEService

    Angular sce service.

  - ngeoStringToHtmlReplacements: ngeoStringToHtmlReplacements

    List of replacements for string to html.

  #### Returns ((arg0: any) => string)

  The filter function.

  - - (arg0): string

    - #### Parameters

      - arg0: any

      #### Returns string

  #### Ngdoc

  filter

  #### Ngname

  ngeoTrustHtmlAuto

  - Defined in src/misc/filters.js:409

#####
Index

### Properties

$inject

##
Properties

### $inject

$inject: string[]

- Defined in src/misc/filters.js:2